%{?mingw_package_header}

%global mingw_pkg_name libsqlite3x

%global veryear 2007
%global vermon  10
%global verday  18

Name:           mingw-%{mingw_pkg_name}
Version:        %{veryear}%{vermon}%{verday}
Release:        %mkrel 28
Summary:        MinGW Windows C++ Wrapper for the SQLite3 embeddable SQL database engine

Group:          Development/Other
License:        zlib
URL:            https://www.wanderinghorse.net/computing/sqlite/
Source0:        https://www.wanderinghorse.net/computing/sqlite/%{mingw_pkg_name}-%{veryear}.%{vermon}.%{verday}.tar.gz
Source1:        libsqlite3x-autotools.tar.gz
Patch1:         libsqlite3x-prep.patch
Patch2:         libsqlite3x-includes.patch

BuildArch:      noarch

BuildRequires: make
BuildRequires:  mingw32-sqlite
BuildRequires:  mingw64-sqlite
BuildRequires:  dos2unix
BuildRequires:  automake
BuildRequires:  libtool
BuildRequires:  mingw32-filesystem >= 52
BuildRequires:  mingw64-filesystem >= 52
BuildRequires:  mingw32-gcc
BuildRequires:  mingw64-gcc
BuildRequires:  mingw32-gcc-c++
BuildRequires:  mingw64-gcc-c++
BuildRequires:  mingw32-binutils
BuildRequires:  mingw64-binutils
BuildRequires:  mingw32-winpthreads
BuildRequires:  mingw64-winpthreads

%description
sqlite3 is a slick embedded SQL server written in C. It's easy to use,
powerful, and quite fast. sqlite3x is a C++ wrapper API for working
with sqlite3 databases that uses exceptions.

#Mingw32
%package -n      mingw32-%{mingw_pkg_name}
Summary:         MinGW Windows C++ Wrapper for the SQLite3 embeddable SQL database engine

%description -n mingw32-%{mingw_pkg_name}
sqlite3 is a slick embedded SQL server written in C. It's easy to use,
powerful, and quite fast. sqlite3x is a C++ wrapper API for working
with sqlite3 databases that uses exceptions.

%package -n     mingw32-libsq3
Summary:        MinGW Windows C++ Wrapper for the SQLite3 embeddable SQL database engine
Group:          Development/Other
Requires:       mingw32-%{mingw_pkg_name} = %{version}-%{release}

%description -n mingw32-libsq3
sqlite3 is a slick embedded SQL server written in C. It's easy to use,
powerful, and quite fast. sq3 is a C++ wrapper API for working
with sqlite3 databases that does not use exceptions.

#Mingw64
%package -n      mingw64-%{mingw_pkg_name}
Summary:         MinGW Windows C++ Wrapper for the SQLite3 embeddable SQL database engine

%description -n mingw64-%{mingw_pkg_name}
sqlite3 is a slick embedded SQL server written in C. It's easy to use,
powerful, and quite fast. sqlite3x is a C++ wrapper API for working
with sqlite3 databases that uses exceptions.

%package -n     mingw64-libsq3
Summary:        MinGW Windows C++ Wrapper for the SQLite3 embeddable SQL database engine
Group:          Development/Other
Requires:       mingw64-%{mingw_pkg_name} = %{version}-%{release}

%description -n mingw64-libsq3
sqlite3 is a slick embedded SQL server written in C. It's easy to use,
powerful, and quite fast. sq3 is a C++ wrapper API for working
with sqlite3 databases that does not use exceptions.

%{?mingw_debug_package}

%prep
%setup -q -n %{mingw_pkg_name}-%{veryear}.%{vermon}.%{verday} -a 1
dos2unix *.hpp *.cpp
%patch -P 1 -p0 -b .prep
%patch -P 2 -p0 -b .incl
aclocal
libtoolize -f
autoheader
autoconf
automake -a -c
%{mingw_configure} --disable-static
iconv -f iso8859-1 -t utf-8  < README > R
mv R README


%build
%{mingw_make}


%install
%{mingw_make} install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'


%files -n mingw32-libsqlite3x
%doc AUTHORS README Doxygen-index.txt
%{mingw32_bindir}/libsqlite3x-1.dll
%{mingw32_includedir}/sqlite3x
%{mingw32_libdir}/libsqlite3x.dll.a
%{mingw32_libdir}/pkgconfig/libsqlite3x.pc

%files -n mingw32-libsq3
%doc AUTHORS README Doxygen-index.txt
%{mingw32_bindir}/libsq3-1.dll
%{mingw32_includedir}/sq3
%{mingw32_libdir}/libsq3.dll.a
%{mingw32_libdir}/pkgconfig/libsq3.pc

%files -n mingw64-libsqlite3x
%doc AUTHORS README Doxygen-index.txt
%{mingw64_bindir}/libsqlite3x-1.dll
%{mingw64_includedir}/sqlite3x
%{mingw64_libdir}/libsqlite3x.dll.a
%{mingw64_libdir}/pkgconfig/libsqlite3x.pc

%files -n mingw64-libsq3
%doc AUTHORS README Doxygen-index.txt
%{mingw64_bindir}/libsq3-1.dll
%{mingw64_includedir}/sq3
%{mingw64_libdir}/libsq3.dll.a
%{mingw64_libdir}/pkgconfig/libsq3.pc



%changelog
* Sun Dec 22 2024 pterjan <pterjan> 20071018-28.mga10
+ Revision: 2127841
- Rebuild for patchN deprecation

* Tue Aug 02 2022 tv <tv> 20071018-27.mga9
+ Revision: 1874414
- Replace mingw-pthreads with mingw-winpthreads

* Fri Mar 25 2022 umeabot <umeabot> 20071018-26.mga9
+ Revision: 1826878
- Mageia 9 Mass Rebuild

* Sat Sep 26 2020 tv <tv> 20071018-25.mga8
+ Revision: 1630273
- rebuild for new mingw stack

* Wed Feb 12 2020 umeabot <umeabot> 20071018-24.mga8
+ Revision: 1492090
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 20071018-23.mga7
+ Revision: 1264398
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 20071018-22.mga6
+ Revision: 946563
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 20071018-21.mga5
+ Revision: 749286
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 20071018-20.mga5
+ Revision: 682486
- Mageia 5 Mass Rebuild

* Mon Oct 28 2013 neoclust <neoclust> 20071018-19.mga4
+ Revision: 547497
- imported package mingw-libsqlite3x

